Bug 176373 - Review Request: ytalk
Review Request: ytalk
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-12-21 16:16 EST by Mike McGrath
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-16 04:05:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2005-12-21 16:16:58 EST
Spec Url: http://testapp1.iesabroad.org/~mmcgrath/ytalk/ytalk.spec
SRPM Url: http://testapp1.iesabroad.org/~mmcgrath/ytalk/ytalk-3.3.0-2.src.rpm
The YTalk program is essentially a chat program for multiple users.
YTalk works just like the UNIX talk program and even communicates with
the same talk daemon(s), but YTalk allows for multiple connections
(unlike UNIX talk).  YTalk also supports redirection of program output
to other users as well as an easy-to-use menu of commands.

I was sad to see ytalk go in FC4 so hopefully we'll be able to get it into Extras.  My main concern with this is the License.  For some reason it changed from BSD to GPL.  This just sounds odd to me (From the bottom of the INSTALL file):
Most of these installation instructions are taken word-for-word from the
`INSTALL' file that comes with GNU Wget.  This means that, unlike the
rest of the YTalk package (which is freely copyable as long as the
copyright notices are kept in the sources), this file is (probably)
covered by the GNU General Public License version 2.

I'm no license guru so I'm not sure if any GPL/BSD violations are going on:
maintainer website: http://www.impul.se/ytalk/
Comment 1 Jeff Carlson 2005-12-26 11:46:02 EST
Doh!  You beat me to this one.  I was going to contribute ytalk.  Oh well.  I
snooze I lose.

One thing, though.  As of 3.3.0, ytalk no longer supports X.  The developer's
site says "at the request of many users."  I'd sure like to know what is wrong
with those users because in my opinion, the X support was the most important
feature of ytalk.  Now it's all but useless to me.  :(

So, as I was saying, I had plans to package ytalk, but didn't get to it in time.
 I was considering version 3.2.0 since it still supports X.  Would you consider
packaging that release instead, to include X support?
Comment 2 Mike McGrath 2005-12-26 21:12:24 EST
I thought it was odd too that users requested the support to be removed. 
Normally I'd think users would simply not use a feature they didn't want.  My
main concern with using 3.2.0 is that if the upstream has further releases
(security or otherwise) it will become more and more difficult to support the

It's also possible there is another maintainer of ytalk (it seems to have jumped
around  quite a bit)  If we could find another maintainer that actively
maintains ytalk and still supports X I'd be happy to use them as an upstream
instead of www.impul.se
Comment 3 Mike McGrath 2005-12-27 12:12:01 EST
I forgot to mention earlier that I do not currently have a sponsor.
Comment 4 Kevin Fenzi 2006-02-12 13:35:40 EST
Greetings. I was going to do a review of this package, but the URL(s) in the
submission appear to not be functional. testapp1.iesabroad.org doesn't resolve
here. Can you update the ulrs and then I will be happy to do a review.
Comment 5 Mike McGrath 2006-02-13 03:24:32 EST
I forgot to update this link.  The new locations are at:

SRPM: http://mmcgrath.net/~mmcgrath/ytalk/ytalk-3.3.0-2.src.rpm
SPEC: http://mmcgrath.net/~mmcgrath/ytalk/ytalk.spec

Also I've been sponsored since posting this bug.
Comment 6 Kevin Fenzi 2006-02-15 16:40:29 EST
Greetings, heres a review:

MUST items:

OK - package name good.
OK - license ok. (GPL)
OK - spec file matches.
OK - spec in english.
OK - spec legible.
OK - md5sum matches:
c043a8d854638b293a3b645d8600aa38  ytalk-3.3.0.tar.gz
c043a8d854638b293a3b645d8600aa38  ytalk-3.3.0.tar.gz.1
OK - files and dirs ok.
OK - clean section good.
OK - macros good.
OK - builds ok in fc4.
OK - compiles and builds under devel.
OK - builds ok in mock on devel.
OK - rpmlint has no output.

Minor/non blockers:

- Might include COPYING, README, AUTHORS, Changelog as docs?

Comment 7 Mike McGrath 2006-02-16 04:05:40 EST
I've added the doc's.  Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.